#!/bin/ksh

MY_ORACLE_HOME=${ORACLE_HOME:-NOTDEFINED}

if [ ${MY_ORACLE_HOME} = NOTDEFINED ]
 then
   echo 'ORACLE_HOME is not set. Check Oracle environment setup'
   echo '1'
   exit -1
fi

MY_ORACLE_VER=${ORACLE_VERS:-NOTDEFINED}

if [ ${MY_ORACLE_VER} = NOTDEFINED ]
then
   if [ -a ${ORACLE_HOME}/bin/svrmgrl ]
    then
      ORACLE_VER=8
   else
      ORACLE_VER=9
   fi
else
   ORACLE_VER=`echo ${MY_ORACLE_VER}|cut -c 1`
fi

#
# verify before exit
#
case ${ORACLE_VER} in
 8)
   if [ ! -a ${ORACLE_HOME}/bin/svrmgrl ]
    then
      echo '1'
      exit -1
   fi
   ;;
 9)
   if [ -a ${ORACLE_HOME}/bin/svrmgrl ]
    then
      echo '1'
      exit -1
   fi
   ;;

 *)
      echo '1'
      exit -1
   ;;

esac

echo ${ORACLE_VER}
exit 0
